	.global waitpid
	.type	waitpid, @function
waitpid:
	pushl	%ebp
	movl	%esp, %ebp
	pushl	%ebx
	movl	$7, %eax
	movl	8(%ebp), %ebx
	movl	12(%ebp), %ecx
	movl	16(%ebp), %edx
	int	$128
	popl	%ebx
	popl	%ebp
	ret
